MWAWPictBitmapInternal Namespace Reference documentation

Functions
MWAWPictBitmapInternal Namespace Reference

Internal: namespace used to define some internal function. More...

## Functions
template<class T >
bool | getPBMData (MWAWPictBitmapContainer< T > const &orig, librevenge::RVNGBinaryData &data, T white)
| Internal: helper function to create a PBM.
template<class T >
bool | getPPMData (MWAWPictBitmapContainer< T > const &orig, librevenge::RVNGBinaryData &data, std::vector< MWAWColor > const &indexedColor)
| Internal: helper function to create a PPM.
static bool | getPPMData (MWAWPictBitmapContainer< MWAWColor > const &orig, librevenge::RVNGBinaryData &data)
| Internal: helper function to create a PPM for a color bitmap.
static void | writeU16 (unsigned char *buffer, unsigned &position, const unsigned value)
static void | writeU32 (unsigned char *buffer, unsigned &position, const unsigned value)
static bool | getBMPData (MWAWPictBitmapContainer< MWAWColor > const &orig, librevenge::RVNGBinaryData &data)
| Internal: helper function to create a BMP for a color bitmap (freely inspired from libpwg::WPGBitmap.cpp)

## Detailed Description

Internal: namespace used to define some internal function.

## Function Documentation

## ◆ getBMPData()

static bool MWAWPictBitmapInternal::getBMPData | ( | MWAWPictBitmapContainer< MWAWColor > const & | orig,
|  | librevenge::RVNGBinaryData & | data )
| static

Internal: helper function to create a BMP for a color bitmap (freely inspired from libpwg::WPGBitmap.cpp)

Referenced by MWAWPictBitmapColor::createFileData().

## ◆ getPBMData()

template<class T >

bool MWAWPictBitmapInternal::getPBMData | ( | MWAWPictBitmapContainer< T > const & | orig,
|  | librevenge::RVNGBinaryData & | data,
|  | T | white )

Internal: helper function to create a PBM.

## ◆ getPPMData() [1/2]

static bool MWAWPictBitmapInternal::getPPMData | ( | MWAWPictBitmapContainer< MWAWColor > const & | orig,
|  | librevenge::RVNGBinaryData & | data )
| static

Internal: helper function to create a PPM for a color bitmap.

## ◆ getPPMData() [2/2]

template<class T >

bool MWAWPictBitmapInternal::getPPMData | ( | MWAWPictBitmapContainer< T > const & | orig,
|  | librevenge::RVNGBinaryData & | data,
|  | std::vector< MWAWColor > const & | indexedColor )

Internal: helper function to create a PPM.

Referenced by MWAWPictBitmapColor::createFileData().

## ◆ writeU16()

static void MWAWPictBitmapInternal::writeU16 | ( | unsigned char * | buffer,
|  | unsigned & | position,
|  | const unsigned | value )
| static

Referenced by getBMPData().

## ◆ writeU32()

static void MWAWPictBitmapInternal::writeU32 | ( | unsigned char * | buffer,
|  | unsigned & | position,
|  | const unsigned | value )
| static

Referenced by getBMPData().